%define name    kscope
%define version 0.5
%define release 1mdk
%define Summary KDE frontend to Cscope

%define section Applications/Development/Tools
%define title Kscope

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: GPL
Group: Development/Other
Source: kscope-%{version}.tar.bz2
Url: http://www.cs.bgu.ac.il/~lahave/kscope/   
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
Requires:	cscope ctags

%description
KScope is a source-editing environment for KDE based on Cscope.

%prep
%setup

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="%{Summary}"
EOF

#mdk icons
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/apps/kscope/kscopeui.rc
%{_datadir}/applnk/Utilities/kscope.desktop
%{_datadir}/icons/*/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc %_docdir/HTML/*/%{name}/*

%changelog
* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Nov 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk 
- from Nick Brown <nickbroon@blueyonder.co.uk> :
	- First Mandrake package release
